curl -X POST https://zeplo.ai/api/campaigns \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Flash Sale Alert",
"channelId": "647015955153740",
"type": "template",
"templateName": "flash_sale",
"languageCode": "en",
"groupIds": [1],
"scheduledAt": "2026-02-01T10:00:00Z"
}'
{
"success": true,
"data": {
"id": 26,
"name": "Flash Sale Alert",
"status": "scheduled",
"type": "template",
"totalRecipients": 250,
"scheduledAt": "2026-02-01T10:00:00Z",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Campaigns
POST Create Campaign
Create a new marketing campaign.
POST
/
api
/
campaigns
curl -X POST https://zeplo.ai/api/campaigns \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Flash Sale Alert",
"channelId": "647015955153740",
"type": "template",
"templateName": "flash_sale",
"languageCode": "en",
"groupIds": [1],
"scheduledAt": "2026-02-01T10:00:00Z"
}'
{
"success": true,
"data": {
"id": 26,
"name": "Flash Sale Alert",
"status": "scheduled",
"type": "template",
"totalRecipients": 250,
"scheduledAt": "2026-02-01T10:00:00Z",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Create campaign
POST /api/campaigns
Create a new bulk messaging campaign.
Headers
string
required
Session cookie (login via POST /api/auth/login)
curl -X POST https://zeplo.ai/api/campaigns \
-H "Cookie: connect.sid=s%3A7HImZ-T2BxWSbUsf9dtWdOlBW4rVuORO.5J0Do0NyvBu%2BkTvu1aHvtNs00BKhkpUKTwiokLS0cpw" \
-H "Content-Type: application/json" \
-d '{
"name": "Flash Sale Alert",
"channelId": "647015955153740",
"type": "template",
"templateName": "flash_sale",
"languageCode": "en",
"groupIds": [1],
"scheduledAt": "2026-02-01T10:00:00Z"
}'
Body parameters
string
required
Campaign name.
string
required
WhatsApp channel ID.
string
required
template or text.string
Template name (required if type is
template).string
default:"en"
Template language.
array
Template component parameters.
integer[]
Specific contact IDs.
integer[]
Contact group IDs.
string
Text message body (required if type is
text).string
ISO 8601 datetime for scheduled send.
{
"success": true,
"data": {
"id": 26,
"name": "Flash Sale Alert",
"status": "scheduled",
"type": "template",
"totalRecipients": 250,
"scheduledAt": "2026-02-01T10:00:00Z",
"createdAt": "2026-01-15T12:00:00Z"
}
}
Requires
campaigns:create permission and an active subscription.